<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{2,487,791,125}</property>
    <property name="Name">[vdaFPCH]</property>
    <property name="Caption">[Dados do Cheque]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.F.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,osoSayfcli,osoSayfbanco}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[0 - No Border]</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[sysbackground01.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) ]]>
  </method>
  <method name="onDlgExit">
    <![CDATA[Dlg_BtnOkOuCancel(modus,oDlg,)]]>
  </method>
  <method name="onFormExit">
    <![CDATA[MODUS=="Confirmou_Deletar" ]]>
  </method>
  <part class="group">
    <style>
      <property name="Geometry">{7,7,621,97}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{526,24,40,18}</property>
        <property name="Name">[ofdiasprazo]</property>
        <property name="varName">[m_fdiasprazo]</property>
        <property name="Picture">[999999]</property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">16</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[(m_fbompara:=s_datual+m_fdiasprazo,.t.)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,27,63,16}</property>
        <property name="Name">[oSayfcli]</property>
        <property name="Caption">[Cliente:]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{154,27,191,16}</property>
        <property name="Name">[osoSayfcli]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">9</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{411,27,105,16}</property>
        <property name="Name">[oSayfdiasprazo]</property>
        <property name="Caption">[Dias de Prazo:]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,47,63,16}</property>
        <property name="Name">[oSayfbanco]</property>
        <property name="Caption">[Banco..:]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{133,47,213,16}</property>
        <property name="Name">[osoSayfbanco]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,67,105,16}</property>
        <property name="Name">[oSayfcheque]</property>
        <property name="Caption">[Numero Cheque:]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="datepicker">
      <style>
        <property name="Geometry">{526,67,84,26}</property>
        <property name="Name">[ofbompara]</property>
        <property name="varName">[m_fbompara]</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">17</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[m_fbompara>=s_datual]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{412,72,105,16}</property>
        <property name="Name">[oSayfbompara]</property>
        <property name="Caption">[Data BomPara :]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{84,27,49,18}</property>
      <property name="Name">[ofcli]</property>
      <property name="varName">[m_fcli]</property>
      <property name="Picture">[999999]</property>
      <property name="nMaxLength">6</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">11</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[PSQ_BROW('SCCRCLI','PSCCRCLI','M_FCLI','N','N',11,44,'CR_NOME','@S26','',,ofcli,osoSayfcli)]]>
    </method>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{135,27,16,16}</property>
      <property name="Name">[obofcli]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">12</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('SCCRCLI','PSCCRCLI','M_FCLI','N','N',11,44,'CR_NOME','@S26','','EXIBA',ofcli,osoSayfcli)]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{84,47,28,18}</property>
      <property name="Name">[ofbanco]</property>
      <property name="varName">[m_fbanco]</property>
      <property name="Picture">[999]</property>
      <property name="nMaxLength">3</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">13</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[PSQ_BROW('CT_BANCO','PCTBANCO','M_FBANCO','N','S',12,24,'NOME','@S15','',,ofbanco,osoSayfbanco)]]>
    </method>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{114,47,16,16}</property>
      <property name="Name">[obofbanco]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">14</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('CT_BANCO','PCTBANCO','M_FBANCO','N','S',12,24,'NOME','@S15','','EXIBA',ofbanco,osoSayfbanco)]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{126,67,49,18}</property>
      <property name="Name">[ofcheque]</property>
      <property name="varName">[m_fcheque]</property>
      <property name="Picture">[999999]</property>
      <property name="nMaxLength">6</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">15</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[m_fcheque>0]]>
    </method>
  </part>
</part>
